Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.xml.stream
Class XMLStreamLogin

`java.lang.Object
oracle.toplink.sessions.DatasourceLogin
oracle.toplink.sdk.SDKLogin
oracle.toplink.xml.XMLLogin
oracle.toplink.xml.stream.XMLStreamLogin`

All Implemented Interfaces:
  java.lang.Cloneable, Login, java.io.Serializable

public class XMLStreamLogin
extends XMLLogin

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.toplink.sessions.DatasourceLogin
`CONCURRENT_READ_WRITE, SYNCHRONIZED_READ_ON_WRITE, SYNCHRONIZED_WRITE, SYNCRONIZED_OBJECT_LEVEL_READ_WRITE, SYNCRONIZED_OBJECT_LEVEL_READ_WRITE_DATABASE, versionString`

Constructor Summary
`XMLStreamLogin()`

Method Summary
`Accessor` | `buildAccessor()` Build and return an appropriate Accessor.
`oracle.toplink.xml.stream.XMLStreamDatabase` | `getXMLStreamDatabase()`
`void` | `setAccessorClass(java.lang.Class accessorClass)` Set the class of the accessor to be built.
`void` | `setXMLStreamDatabase(oracle.toplink.xml.stream.XMLStreamDatabase newXMLStreamDatabase)`

Methods inherited from class oracle.toplink.xml.XMLLogin
`getSequenceCounterElementName, getSequenceNameElementName, getSequenceRootElementName, getXMLPlatform, setSequenceCounterElementName, setSequenceNameElementName, setSequenceRootElementName`

Methods inherited from class oracle.toplink.sdk.SDKLogin
`getAccessorClass, invalidAccessClass, toString`

Methods inherited from class oracle.toplink.sessions.DatasourceLogin
`addSequence, dontUseExternalConnectionPooling, dontUseExternalTransactionController, getCacheTransactionIsolation, getConnector, getDatasourcePlatform, getDefaultSequence, getPassword, getProperty, getSequence, getSequencePreallocationSize, getSequences, getTableQualifier, getUserName, getVersion, removeAllSequences, removeProperty, removeSequence, setCacheTransactionIsolation, setConnector, setDatasourcePlatform, setDefaultNullValue, setDefaultSequence, setEncryptedPassword, setEncryptionClassName, setPassword, setProperties, setProperty, setSelectSequenceNumberQuery, setSequencePreallocationSize, setTableQualifier, setTimestampQuery, setUpdateSequenceQuery, setUserName, setUsesExternalConnectionPooling, setUsesExternalTransactionController, shouldUseExternalConnectionPooling, shouldUseExternalTransactionController, useExternalConnectionPooling, useExternalTransactionController, usePlatform`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLStreamLogin

    public XMLStreamLogin()

Method Detail

### getXMLStreamDatabase

    public oracle.toplink.xml.stream.XMLStreamDatabase getXMLStreamDatabase()

### setXMLStreamDatabase

    public void setXMLStreamDatabase(oracle.toplink.xml.stream.XMLStreamDatabase newXMLStreamDatabase)

### setAccessorClass

    public void setAccessorClass(java.lang.Class accessorClass)

  Set the class of the accessor to be built.
  Overrides:
    `setAccessorClass` in class `XMLLogin`

### buildAccessor

    public Accessor buildAccessor()

  Description copied from class: `SDKLogin`
  Build and return an appropriate Accessor.
  Specified by:
    `buildAccessor` in interface `Login`
  Overrides:
    `buildAccessor` in class `SDKLogin`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD